Bug 81499 - Not possible to merge cells
Summary: Not possible to merge cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: All All
: high normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.4.0
Keywords: regression
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2014-07-18 15:21 UTC by mail8
Modified: 2017-06-03 21:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mail8 2014-07-18 15:21:26 UTC
How to reproduce.

1 open new spreadsheet
2 merge cell 1 B and C, type "hERG" and click Align center horizontally
3 try to select cell 1 D and E and click right mouse button

Result
The first merged cell is activated.
No popup menu is shown.

Expected result.
The popup menu should be shown in order to change properties of the newly selected cells.
Comment 1 Joel Madero 2014-07-19 02:52:37 UTC
Ubuntu 14.04 x64
LibreOffice 4.3.0.2 rc

Confirmed:
New
Normal - can prevent high quality work
High - regression (works fine in 4.1.4)
Comment 2 Markus Mohrhard 2014-07-19 12:57:35 UTC
Related to the spell checker. This does not happen if the cell does not contain a spelling error or if the spell checker is disabled.
Comment 3 Commit Notification 2014-07-20 21:14:53 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14277af57b397b03b753a61c22cc5211e43a5f82

it makes no sense to use the second column as well, fdo#81499



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-07-29 17:50:19 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=190a4ee599a463415faa7d9bcb81b6a157a4971e

Revert "it makes no sense to use the second column as well, fdo#81499"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-07-29 17:55:05 UTC
I'll look at this.
Comment 6 Kohei Yoshida 2014-07-29 18:13:53 UTC
Back to Markus.  He apparently nailed this already.
Comment 7 Joel Madero 2014-07-30 04:43:10 UTC
Removing bibisectRequest as there is already a fix out
Comment 8 Commit Notification 2014-07-30 12:18:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e53a179bbaaba2c7ad8ad06890a94f9eaf8943a

fix wrong calculation for text size, fdo#81499



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Joel Madero 2014-08-06 17:12:58 UTC
@Markus - this going to get backported to 4.3?